WEECHAT-HEADLESS(1)

NAZWA
weechat-headless - rozszerzalny klient rozmów (wersja headless)

SKŁADNIA

weechat-headless [-a|--no-connect] [--daemon] [--stdout] [-d|--dir <path>] [-t|--temp-dir] [-p|--no-plugin] [-P|--plugins <wtyczki>] [-r|--run-command <komenda>] [-s|--no-script] [--upgrade] [debug-option...] [wtyczka:opcja...]
weechat-headless [-c|--colors]
weechat-headless [-h|--help]
weechat-headless [-l|--license]
weechat-headless [-v|--version]

OPIS

WeeChat (Wee Enhanced Environment for Chat) to darmowy klient rozmów, szybki i lekki, przeznaczony dla wielu systemów operacyjnych. Posiada dużo opcji konfiguracyjnych i dodatkowych wtyczek.

Komenda weechat-headless uruchamia WeeChat w trybie headless (bez interfejsu). Może być używana do testów lub do uruchamiania WeeChat w trybie demona za pomocą opcji "--daemon".

OPCJE

-a, --no-connect
    Wyłącza automatyczne łączenie się z serwerami podczas uruchamiania WeeChat.

-c, --colors
    Wyświetla domślne kolory w terminalu.

--daemon
    Uruchamia WeeChat w tle jako demona (działa tylko z komendą weechat-headless).

--stdout
    Wyświetla informacje z logów na standardowe wyjście zamiast zapisywać je do pliku z logami (działa tylko z opcją weechat-headless, nie kompatybilne z opcją "--daemon").

-d, --dir <ścieżka>
    Wymusza użycie wskazanego katalogu na wszyskie pliki WeeChat (katalog zostanie utworzony jeśli nie istnieje). Można podać cztery katalogi oddzielając je dwukropkami (w kolejności: config, data, cache, runtime). Jeśli ta opcja nie zostanie podada, użyta zostanie zawartość zmiennej WEECHAT_HOME (jeśli została ustawiona).

-t, --temp-dir
    Tworzy tymczasowy katalog dla ustawień WeeChat, który jest kasowany po wyłączeniu aplikacji (nie kompatybilne z opcją "-d").
    Nazwa katalogu jest automatyczne tworzona według wzoru: "weechat_temp_XXXXXX" (gdzie "XXXXXX" jest losowe). Katalog jest tworzony w pierwszym dostępnym miejscu według tej listy: zmienna środowiskowa "TMPDIR", "/tmp" (może być inaczej na niektórych systemach operacyjnych), zmienna środowiskowa "HOME", obecny katalog.
    Utworony katalog ma uprawnienia 0700 (tylko właściciel może czytać, pisać i wykonywać).

-h, --help
    Wyświetla pomoc.

-i, --build-info
    Wyświetla informację o kompilacji.

-l, --license
    Wyświetla licencję.

-p, --no-plugin
    Wyłącza automatyczne ładowanie wtyczek.

-P, --plugins <wtyczki>
    Załaduje przy starcie tylko podane wtyczki (zobacz /help weechat.plugin.autoload). Jeśli ta opcja zotanie użyta, opcja weechat.plugin.autoload zostanie zignorowana.

-r, --run-command <komenda>
    Uruchamia komende(-y) po uruchomieniu; kilka komend należy oddzielić średnikiem, ta opcja może zotać podana kilka razy.

-s, --no-script
    Wyłącza automatyczne ładowanie skryptów.

--upgrade
    Aktualizuje WeeChat z użyciem plików sesji wygenerowanych przez komende /upgrade -quit.

-v, --version
    Wyświetla wersję WeeChat.

wtyczka:opcja
    Opcja dla wtyczki.

OPCJE DEBUGUJĄCE

WARNING: these options are for debug purposes only, DO NOT USE IN PRODUCTION!

--no-dlclose
    Nie wołaj funkcji dlclose po wyładowaniu wtyczek. Jest to przydatne przy użyciu narzędzi jak Valgrind do wyświetlania stosu wyładowywanych wtyczek.

--no-gnutls
    Nie wywołuj funkcji (de)inicjijących z biblioteki GnuTLS. Jest to przydatne przy użyciu narzędzi jak Valgrind i electric-fence, aby zapobiec błędą pamięci GnuTLS.

--no-gcrypt
    Nie wywołuj funkcji (de)inicjijących z biblioteki Gcrypt. Jest to przydatne przy użyciu narzędzi jak Valgrind, aby zapobiec błędą pamięci Gcrypt.

OPCJE WTYCZEK

Kompletna dokumentacja na temat opcji wtyczek dostępna jest w

Dzięki wtyczce irc możliwe jest połączenie z serwerami tymczasowymi za pomocą URLi jak:

    irc[6][s]://[[nick][:hasło]@]serwer[:port][/#kanał1[,#kanał2...]]

Aby wejść na kanał IRC poświęcony WeeChat pod nickiem "mójnick":

    irc://mójnick@irc.libera.chat/#weechat

Adresy IPv6 mogą być otoczone nawiasami kwadratowymi, aby możliwe było podanie numeru potyu po adresie, na przykład:

    irc://mójnick@[2001:db8:0:85a3::ac1f:8001]:6668/#test

PLIKI

$HOME/.config/weechat/weechat.conf
    główny plik konfiguracyjny WeeChat

$HOME/.config/weechat/plugins.conf
    plik konfiguracyjny wtyczek

$HOME/.config/weechat/sec.conf
    plik konfiguracyjny z zabezpieczonymi danymi

$HOME/.config/weechat/alias.conf
    plik konfiguracyjny wtyczki alias

$HOME/.config/weechat/buflist.conf
    plik konfiguracyjny wtyczki buflist

$HOME/.config/weechat/charset.conf
    plik konfiguracyjny wtyczki charset

$HOME/.config/weechat/exec.conf
    plik konfiguracyjny wtyczki exec

$HOME/.config/weechat/fifo.conf
    plik konfiguracyjny wtyczki fifo

$HOME/.config/weechat/fset.conf
    plik konfiguracyjny wtyczki fset

$HOME/.config/weechat/guile.conf
    plik konfiguracyjny wtyczki guile

$HOME/.config/weechat/irc.conf
    plik konfiguracyjny wtyczki irc

$HOME/.config/weechat/javascript.conf
    plik konfiguracyjny wtyczki javascript

$HOME/.config/weechat/logger.conf
    plik konfiguracyjny wtyczki logger

$HOME/.config/weechat/lua.conf
    plik konfiguracyjny wtyczki lua

$HOME/.config/weechat/perl.conf
    plik konfiguracyjny wtyczki perl

$HOME/.config/weechat/php.conf
    plik konfiguracyjny wtyczki php

$HOME/.config/weechat/python.conf
    plik konfiguracyjny wtyczki python

$HOME/.config/weechat/relay.conf
    plik konfiguracyjny wtyczki relay

$HOME/.config/weechat/ruby.conf
    plik konfiguracyjny wtyczki ruby

$HOME/.config/weechat/script.conf
    plik konfiguracyjny wtyczki script

$HOME/.config/weechat/spell.conf
    plik konfiguracyjny wtyczki spell

$HOME/.config/weechat/tcl.conf
    plik konfiguracyjny wtyczki tcl

$HOME/.config/weechat/trigger.conf
    plik konfiguracyjny wtyczki trigger

$HOME/.config/weechat/typing.conf
    plik konfiguracyjny wtyczki typing

$HOME/.config/weechat/xfer.conf
    plik konfiguracyjny wtyczki xfer

$HOME/.local/share/weechat/weechat.log
    plik z logami WeeChat

ZOBACZ RÓWNIEŻ

weechat(1)

AUTORZY

Autorem tej strony pomocy Sébastien Helleu.

Tłumaczenie Krzysztof Korościk.

PRAWA AUTORSKIE

WeeChat jest tworzony przez Sébastien Helleu i społeczność (pełna lista dostępna jest w pliku AUTHORS.md).

Copyright © 2003-2025 Sébastien Helleu

WeeChat is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.

Pełna licencja znajduje się w pliku COPYING.

Strona www:

WSPARCIE / ZGŁASZANIE BŁĘDÓW

W celu uzyskania pomocy, lub zgłoszenia błędu zajrzyj na:

AUTHOR

Sébastien Helleu